OpenVDB 5.1.0

Public Types | List of all members
PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, HeadLevel > Struct Template Reference

`#include <PointDataGrid.h>`

## Public Types
using | SubtreeT = typename PointDataNodeChain< ChildT, HeadLevel-1 >::Type
using | InternalNodeT = tree::InternalNode< typename boost::mpl::back< SubtreeT >::type, Log2Dim >
using | Type = typename boost::mpl::push_back< SubtreeT, InternalNodeT >::type

## Member Typedef Documentation

## ◆ InternalNodeT

using InternalNodeT = tree::InternalNode<typename boost::mpl::back<SubtreeT>::type, Log2Dim>

## ◆ SubtreeT

using SubtreeT = typename PointDataNodeChain<ChildT, HeadLevel-1>::Type

## ◆ Type

using Type = typename boost::mpl::push_back<SubtreeT, InternalNodeT>::type

The documentation for this struct was generated from the following file:

- PointDataGrid.h